Subject: Re: linux-next: build failure after merge of the kgdb tree

From: Dmitry Torokhov <[email-masked]>
Date: Mon, 24 May 2010 11:17:35 -0700

On Thu, May 20, 2010 at 08:28:54PM -0500, Jason Wessel wrote:
> On 05/20/2010 08:23 PM, Dmitry Torokhov wrote:
> > On Fri, May 21, 2010 at 11:09:38AM +1000, Stephen Rothwell wrote:
> >> Hi Jason,
> >>
> >> On Thu, 20 May 2010 19:49:51 -0500 Jason Wessel <[email-masked]> wrote:
> >>> Before brute force toggling it, it seems we should check the value and
> >>> restore it after the execution of handle_sysrq().
> >> Indeed, at the time I couldn't find an easy way to do that.
> >>
> >>> I'll have to look and see if there is an access function for this.
> >> Great, thanks.
> > 
> > I would not mind re-exporting sysrq_on() again.
> > 
> 
> We could but I don't know that you need to.
> 
> Would you be willing to sign off on a change like the one below
> Dmitry?  If so then I'll push it into kgdb-next.
> 
> It is as simple as making the return from sysrq_toggle_support a bit
> more meaningful.
>

I do not think it is a very good idea... What if some other process
enales SysRq in the mean time. Do we really need to force SysRq on
or off? Maybe we should export __handle_sysrq() instead?

Also, I think I need to add locking in sysrq_toggle_support(), which
will make it unsuitable for using in kdb handler, won't it?

-- 
Dmitry